ExpectationDoubleValue (jMock API Documentation)
Keywords: org.jmock.expectation.ExpectationDoubleValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jmock.expectation
Class ExpectationDoubleValue

    java.lang.Object
      org.jmock.expectation.AbstractExpectation
          org.jmock.expectation.ExpectationDoubleValue

All Implemented Interfaces:
  Verifiable, Expectation

    public class ExpectationDoubleValue

extends AbstractExpectation

Field Summary

Fields inherited from class org.jmock.expectation.AbstractExpectation
`myFailureModeIsImmediate, myName`

Constructor Summary
`ExpectationDoubleValue(String name)`

Method Summary
`void` | `clearActual()`
`void` | `setActual(double value)`
`void` | `setExpected(double value, double error)`
`void` | `setExpectNothing()` Tell the object to expect nothing to happen to it, perhaps because the test is exercising the handling of an error.
`void` | `verify()` Throw an AssertionFailedException if any expectations have not been met.

Methods inherited from class org.jmock.expectation.AbstractExpectation
`assertEquals, assertEquals, hasExpectations, setFailOnVerify, setHasExpectations, shouldCheckImmediately`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpectationDoubleValue

    public ExpectationDoubleValue(String name)

Method Detail

### clearActual

    public void clearActual()

  Specified by:
    `clearActual` in class `AbstractExpectation`

### setActual

    public void setActual(double value)

### setExpected

    public void setExpected(double value,
                            double error)

### setExpectNothing

    public void setExpectNothing()

  Description copied from interface: `Expectation`
  Tell the object to expect nothing to happen to it, perhaps because the test is exercising the handling of an error. The Expectation will fail if any actual values are set.

  Note that this is not the same as not setting any expectations, in which case verify() will do nothing.

### verify

    public void verify()

  Description copied from interface: `Verifiable`
  Throw an AssertionFailedException if any expectations have not been met. Implementations of this method must be idempotent: jMock can call this method more than once when verifying expectations at the end of a test.

  Specified by:
    `verify` in interface `Verifiable`
  Specified by:
    `verify` in class `AbstractExpectation`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD